"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var b=Object.create;var x=Object.defineProperty;var _=Object.getOwnPropertyDescriptor;var w=Object.getOwnPropertyNames;var y=Object.getPrototypeOf,v=Object.prototype.hasOwnProperty;var k=(e,o)=>()=>(o||e((o={exports:{}}).exports,o),o.exports);var C=(e,o,l,r)=>{if(o&&typeof o=="object"||typeof o=="function")for(let n of w(o))!v.call(e,n)&&n!==l&&x(e,n,{get:()=>o[n],enumerable:!(r=_(o,n))||r.enumerable});return e};var p=(e,o,l)=>(l=e!=null?b(y(e)):{},C(o||!e||!e.__esModule?x(l,"default",{value:e,enumerable:!0}):l,e));var s=k((T,f)=>{f.exports=Vue});var L=p(s()),S=e=>typeof e=="string";function d(e,o,...l){uni.__log__?uni.__log__(e,o,...l):console[e].apply(console,[...l,o])}function z(e,o){return S(e)?o:e}var a=p(s());var u=(e,o)=>{let l=e.__vccOpts||e;for(let[r,n]of o)l[r]=n;return l};var B={"za-button":{"":{backgroundColor:"#0055d0",textAlign:"center"}},"za-button-default":{"":{backgroundColor:"#0055d0"}},"za-button-red":{"":{backgroundColor:"#dc0000"}},"za-button-cancel":{"":{backgroundColor:"#9d9d9d"}},"za-button-disable":{"":{backgroundColor:"#c0c0c0",color:"#c0c0c0"}},"za-button-default-disable":{"":{backgroundColor:"#c0c0c0",color:"#c0c0c0"}},"za-button-red-disable":{"":{backgroundColor:"#c0c0c0",color:"#c0c0c0"}},"za-button-cancel-disable":{"":{backgroundColor:"#c0c0c0",color:"#c0c0c0"}},"za-button-title":{"":{fontSize:"36rpx",textAlign:"center",color:"#f8f8f8"}}},A={name:"zaButton",emits:["zaClick"],props:{title:{type:String,default:""},theme:{type:String,default:"default"},width:{type:Number,default:360},height:{type:Number,default:100},fontSize:{type:Number,default:36},disable:{type:Boolean,default:!1}},data(){return{}},watch:{title(e){uni.report&&e!==""&&uni.report("title",e)}},created(){},methods:{onClick(){this.disable||this.$emit("zaClick")}}};function D(e,o,l,r,n,i){return(0,a.openBlock)(),(0,a.createElementBlock)("view",{class:(0,a.normalizeClass)(["za-button","za-button-"+l.theme+(l.disable?"-disable":"")]),style:(0,a.normalizeStyle)("width:"+l.width+"rpx; height:"+l.height+"rpx; border-radius:"+l.height/2+"rpx;"),onClick:o[0]||(o[0]=(...c)=>i.onClick&&i.onClick(...c)),renderWhole:!0},[(0,a.createElementVNode)("u-text",{class:"za-button-title",style:(0,a.normalizeStyle)("line-height:"+l.height+"rpx; font-size: "+l.fontSize+"rpx;")},(0,a.toDisplayString)(l.title),5)],6)}var h=u(A,[["render",D],["styles",[B]]]);var t=p(s());var I={"za-logout":{"":{display:"flex",flexDirection:"column",justifyContent:"space-between"}},"za-logout-top":{"":{display:"flex",flexDirection:"column",justifyContent:"space-between",alignItems:"center",paddingTop:"20rpx",textAlign:"center"}},"za-logout-logo":{".za-logout-top ":{width:"130rpx",height:"130rpx",borderRadius:"65rpx",marginTop:"20rpx",marginBottom:"20rpx",alignItems:"center",overflow:"hidden"}},image:{".za-logout-top .za-logout-logo ":{width:"130rpx",height:"130rpx",borderRadius:"65rpx"}},"za-logout-text":{".za-logout-top ":{fontSize:"32rpx",color:"#333333",textAlign:"center"}},"za-logout-middle":{"":{display:"flex",flexDirection:"column",justifyContent:"space-between",alignItems:"center"}},"za-logout-container":{".za-logout-middle ":{width:"510rpx",borderRadius:"20rpx",borderWidth:"3rpx",borderColor:"#0055d0",alignItems:"center",backgroundColor:"#E5EEFA",textAlign:"center",paddingTop:"20rpx",paddingRight:"20rpx",paddingBottom:"20rpx",paddingLeft:"20rpx",lineHeight:"32rpx",marginBottom:"20rpx"}},"za-logout-title":{".za-logout-middle .za-logout-container ":{fontSize:"32rpx",color:"#333333",marginBottom:"20rpx",textAlign:"left"}},"za-logout-content-row":{".za-logout-middle .za-logout-container .za-logout-content ":{flex:5,display:"flex",flexDirection:"row",marginBottom:"20rpx"}},"za-logout-content-row-icon":{".za-logout-middle .za-logout-container .za-logout-content .za-logout-content-row ":{width:"66rpx",height:"66rpx",marginRight:"20rpx"}},text:{".za-logout-middle .za-logout-container .za-logout-content .za-logout-content-row ":{lineHeight:"66rpx",fontSize:"28rpx",color:"#333333"}},"za-logout-bottom":{"":{width:"750rpx",display:"flex",flexDirection:"column"}},"za-logout-bottom-tips":{".za-logout-bottom ":{textAlign:"center",fontSize:"28rpx",color:"#9d9d9d",marginBottom:"10rpx",display:"flex",flexDirection:"row",justifyContent:"center",alignItems:"center"}},"za-logout-buttons":{".za-logout-bottom ":{paddingTop:"20rpx",paddingRight:"20rpx",paddingBottom:"20rpx",paddingLeft:"20rpx",display:"flex",flexDirection:"row",justifyContent:"space-between",marginBottom:"20rpx",width:"750rpx"}}},P={data(){return{title:"\u79EF\u5206",totalScore:0,extraIcon:"wallet",userProfile:{},containerStyle:""}},mounted(){let e=uni.getSystemInfoSync();d("log","at uni_modules/za-login/pages/za-user-logout.nvue:64","!! ---> systemInfo ",e),this.containerStyle="height:"+e.windowHeight+"px",d("debug","at uni_modules/za-login/pages/za-user-logout.nvue:68","--------this.$store.getters.user------",this.$store.getters.user),this.userProfile=this.$store.getters.user},methods:{fullPath(e){return e?uni.$za.imagePath.fullPath(e):"/static/user-avatar.png"},logout(){this.$store.commit("logout"),uni.$emit("check-auth"),uni.clearStorage(),uni.reLaunch({url:"/pages/home/home"})},goBack(){uni.navigateBack({})}}};function E(e,o,l,r,n,i){let c=z((0,t.resolveDynamicComponent)("za-button"),h);return(0,t.openBlock)(),(0,t.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,t.createElementVNode)("view",{class:"za-logout",style:(0,t.normalizeStyle)(n.containerStyle)},[(0,t.createElementVNode)("view",{class:"za-logout-top"},[(0,t.createElementVNode)("view",{class:"za-logout-logo"},[(0,t.createElementVNode)("u-image",{class:"image",src:i.fullPath(n.userProfile.face)},null,8,["src"])]),(0,t.createElementVNode)("view",{class:"za-logout-text"},[(0,t.createElementVNode)("u-text",null,(0,t.toDisplayString)(n.userProfile.nickname),1)])]),(0,t.createElementVNode)("view",{class:"za-logout-middle"},[(0,t.createElementVNode)("view",{class:"za-logout-container"},[(0,t.createElementVNode)("view",{class:"za-logout-title"},[(0,t.createElementVNode)("u-text",null,"\u9000\u51FA\u767B\u5F55\u540E\uFF0C\u5C06\u6709\u4EE5\u4E0B\u5F71\u54CD\uFF1A")]),(0,t.createElementVNode)("view",{class:"za-logout-content"},[(0,t.createElementVNode)("view",{class:"za-logout-content-row"},[(0,t.createElementVNode)("u-image",{class:"za-logout-content-row-icon",src:"/static/home/menu-1.png"}),(0,t.createElementVNode)("u-text",{class:"text"},"\u5C06\u65E0\u6CD5\u4F7F\u7528SOS\u6C42\u52A9\u670D\u52A1")]),(0,t.createElementVNode)("view",{class:"za-logout-content-row"},[(0,t.createElementVNode)("u-image",{class:"za-logout-content-row-icon",src:"/static/home/menu-1.png"}),(0,t.createElementVNode)("u-text",{class:"text"},"\u5C06\u65E0\u6CD5\u53C2\u4E0E\u516C\u5171\u6551\u52A9")]),(0,t.createElementVNode)("view",{class:"za-logout-content-row"},[(0,t.createElementVNode)("u-image",{class:"za-logout-content-row-icon",src:"/static/home/menu-2.png"}),(0,t.createElementVNode)("u-text",{class:"text"},"\u5C06\u65E0\u6CD5\u53C2\u4E0E\u4F17\u7B79")]),(0,t.createElementVNode)("view",{class:"za-logout-content-row"},[(0,t.createElementVNode)("u-image",{class:"za-logout-content-row-icon",src:"/static/home/menu-3.png"}),(0,t.createElementVNode)("u-text",{class:"text"},"\u5C06\u65E0\u6CD5\u53C2\u4E0E\u5FD7\u613F\u8005\u6D3B\u52A8")])])])]),(0,t.createElementVNode)("view",{class:"za-logout-bottom"},[(0,t.createElementVNode)("view",{class:"za-logout-bottom-tips"},[(0,t.createElementVNode)("u-text",null,"\u786E\u8BA4\u9000\u51FA\u767B\u5F55\u5417\uFF1F")]),(0,t.createElementVNode)("view",{class:"za-logout-buttons"},[(0,t.createVNode)(c,{title:"\u9000\u51FA\u767B\u5F55",theme:"cancel",width:320,height:100,onZaClick:i.logout},null,8,["onZaClick"]),(0,t.createVNode)(c,{title:"\u4FDD\u6301\u767B\u5F55",width:320,height:100,onZaClick:i.goBack},null,8,["onZaClick"])])])],4)])}var g=u(P,[["render",E],["styles",[I]]]);var m=plus.webview.currentWebview();if(m){let e=parseInt(m.id),o="uni_modules/za-login/pages/za-user-logout",l={};try{l=JSON.parse(m.__query__)}catch(n){}g.mpType="page";let r=Vue.createPageApp(g,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:o,__pageQuery:l});r.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...g.styles||[]])),r.mount("#root")}})();
